<?php
include_once("../header_reportes.php");
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="administrador"){$cobrador=$_GET["usuario"];
    
}else{
    $cobrador=$usuario;
}
?>
<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
        font-size: 12px;
        font-wight:light;

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 12px;
}

th{
    background: green;
    color:white;
}
</style>
<?php
include_once("../php/config.php");
    $sql_empresa = mysql_query("SELECT * FROM empresa") or die(mysql_error());
$enombre= @mysql_result($sql_empresa,0,"nombre");
$etelefono= @mysql_result($sql_empresa,0,"telefono");   
$edireccion= @mysql_result($sql_empresa,0,"direccion"); 
$ernc= @mysql_result($sql_empresa,0,"rnc"); 
$eemail= @mysql_result($sql_empresa,0,"email"); 
    
?>
<span class="datos_empres2" style="font-size: 30px;font-weight: bolder;font-family: 'Arial black'"><?php echo $enombre;?></span><b><br>
<span class="datos_empres"><?php echo $etelefono;?> </span><br>
<span class="datos_empres"><?php echo $edireccion;?> </span><br>
<span class="datos_empres"><?php echo $ernc;?></span><br>
<h3 style="font-size: 25px; text-decoration: underline;">Reporte de ventas</h3>
<?php

include_once("../php/formatos.php");
$cliente = $_GET["cliente"];
$usuario = $_GET["usuario"];
$ncf = $_GET["ncf"];
$termino = $_GET["termino"];
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
$estado = $_GET["estado"];
if($estado=="Terminada"){$estado="Cerrada";}
echo "<b>Fecha:</b> desde <font color='blue'>".$fecha1."</font> hasta <font color='blue'>".$fecha2."</font>, <b>Usuario</b>: <font color='red'>".$cobrador."</font><br>";
echo "<b>Cliente:</b> <font color='blue'>".$cliente."</font>, ";
echo " <b>(Termino venta: </b><font color='green'>".$termino.")</font>";

$sql = mysql_query("select * from ventas where 
                    cliente like '%".$cliente."%'
                    and usuario like '%".$usuario."%'
                    and termino like '%".$termino."%'
                    and estado= 'Cerrada'
					and tipo_ncf like '%".$ncf."%'
                    and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());

echo "<table><th>Venta</th><th>NCF</th><th>Fecha</th><th>Cliente</th><th>RNC</th><th>Monto</th><th>Costo</th><th>Pagado</th><th>Balance</th><th>Impuestos</th><th>Termino</th><th>Estado</th>";
while($r = mysql_fetch_array($sql)){
    $total+=$r["total"];
    $totalVenta+=$r["total"];
    $balance+=$r["balance"];
    $costo+=$r["costo"];
    $impuestos+=$r["impuesto"];
	$c++;
    echo "<tr>";
    echo "<td>".$r["id_venta"]."</td>";
	echo "<td>".$r["ncf"]."</td>";
    echo "<td>".fecha($r["fecha"])."</td>";
    //echo "<td>".$r["cuota"]."</td>";
    echo "<td>".$r["cliente"]."</td>";
	echo "<td>".comprobante($r["cliente"])."</td>";
    echo "<td>".decimal($r["total"])."</td>";
    echo "<td>".decimal($r["costo"])."</td>";
    echo "<td>".decimal($r["pagado"])."</td>";
	
    echo "<td>".decimal($r["balance"])."</td>";
	 echo "<td>".decimal($r["impuesto"])."</td>";
	echo "<td>".$r["termino"]."</td>";
	echo "<td>".$r["estado"]."</td>";
   
    
    echo "</tr>";
}
 echo "</table>";
 echo "</br>";
 
 
 $sqlIe = mysql_query("select sum(total_precio) as total from detalle_venta where tipo_impuesto='0.00' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
$sqlI18 = mysql_query("select sum(total_precio) as total from detalle_venta where tipo_impuesto='18.00' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
$sqlI16 = mysql_query("select sum(total_precio) as total from detalle_venta where tipo_impuesto='16.00' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
$sqlI13 = mysql_query("select sum(total_precio) as total from detalle_venta where tipo_impuesto='13.00' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
$sqlI10 = mysql_query("select sum(total_precio) as total from detalle_venta where tipo_impuesto='10.00' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
$sqlTarjeta = mysql_query("select sum(total) as total from ventas where termino='Tarjeta' and fecha between '$fecha1' and '$fecha2' and estado='Cerrada'") or die(mysql_error());
$sqlCredito = mysql_query("select sum(total) as total from ventas where termino='Credito' and estado='Cerrada'") or die(mysql_error());
$sqlEfectivo = mysql_query("select sum(total) as total from ventas where termino='Efectivo' and fecha between '$fecha1' and '$fecha2' and estado='Cerrada'") or die(mysql_error());
$sqlCheque = mysql_query("select sum(total) as total from ventas where termino='Cheque' and fecha between '$fecha1' and '$fecha2' and estado='Cerrada'") or die(mysql_error());
$ganancia = $totalVenta - $costo;
echo "<br><b>Registros: </b><font color='blue'>".($c)."</font><br>";
echo "<br>";

echo "<table>";
echo "<td  bgcolor='yellow' style='font-size:30px'><b>TOTAL VENTAS</b></td>";
echo "<td  bgcolor='yellow' style='font-size:30px'><b>".@decimal($totalVenta)."</b></td>";
echo "<tr>";


echo "</table>";


echo "<div id='detalle'>";

echo "<table>";
echo "<td bgcolor='yellow'></td><tr>";
echo "<td>TOTAL VENTAS EN EFECTIVO</td>";
echo "<td>".@decimal(mysql_result($sqlEfectivo,0,"total"))."</td><tr>";
echo "<td>TOTAL VENTAS A CREDITO</td>";
echo "<td>".@decimal(mysql_result($sqlCredito,0,"total"))."</td><tr>";
echo "<td>TOTAL VENTAS TARJETA DE CREDITO</td>";
echo "<td>".@decimal(mysql_result($sqlTarjeta,0,"total"))."</td><tr>";
echo "<td>TOTAL VENTAS CHEQUE</td>";
echo "<td>".@decimal(mysql_result($sqlCheque,0,"total"))."</td><tr>";
echo "<td bgcolor='yellow'  style='color:blue; font-size:35px'>GANANCIA: </td><td bgcolor='yellow'  style='color:blue; font-size:35px'>". @decimal($ganancia)."</td><tr>";
echo "</table>";
echo "</div>";



 ///echo "<b>Pagado:</b><font color='red'>".decimal($mora)."</font><br>";
 echo "<br><b>BALANCE EN VENTAS A CREDITO:</b><font color='green'>".decimal($balance)."</font><br>";

 function comprobante($nombre){
    $n = mysql_query("select cedula from clientes where nombre = '".$nombre."'") or die(mysql_error());
    $rnc = @mysql_result($n, 0, "cedula");
    return $rnc;
}
?>
<script>

var rpt = localStorage.getItem("reporte-venta");
if(rpt=="corto"){
	$("#detalle").hide();
	
}
</script>